'Tiny URL Generator' is listed twice in Top Rated section

VERIFIED FIXED in 6.0.12

Status

addons.mozilla.org Graveyard
Public Pages
VERIFIED FIXED
7 years ago
2 years ago

People

(Reporter: Pratibha, Assigned: jbalogh)

Tracking

unspecified
6.0.12
x86
Mac OS X

Details

(URL)

Attachments

(2 attachments)

(Reporter)

Description

7 years ago
Created attachment 535350 [details]
screenshot shows Top Rated section

Steps:
-------

Load: 
-https://addons-next.allizom.org/en-US/firefox/extensions/privacy-security/

Result: In Top Rated section 'Saved Password Editor' is listed twice

-https://addons-next.allizom.org/en-US/firefox/extensions/social-communication/
Result: In Top Rated section 'Tiny URL Generator' is listed twice
(Reporter)

Updated

7 years ago
Summary: 'Saved Password Edit' and 'Tiny URL Generator' are listed twice in Top Rated section → 'Saved Password Editor' and 'Tiny URL Generator' are listed twice in Top Rated section
(Assignee)

Updated

7 years ago
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 657435

Comment 2

7 years ago
I am reopening this bug since 'Tiny URL Generator' is still listed twice in prod and preview (https://addons.mozilla.org/en-US/firefox/extensions/social-communication/)
Status: RESOLVED → REOPENED
Resolution: DUPLICATE → ---
Summary: 'Saved Password Editor' and 'Tiny URL Generator' are listed twice in Top Rated section → 'Tiny URL Generator' are listed twice in Top Rated section

Comment 3

7 years ago
Created attachment 535381 [details]
screenshot

Updated

7 years ago
Summary: 'Tiny URL Generator' are listed twice in Top Rated section → 'Tiny URL Generator' is listed twice in Top Rated section
(Assignee)

Comment 4

7 years ago
mysql> select created,ap.addon_id,ap.app_id,min,max from appsupport ap inner join (select addon_id, app_id from appsupport group by addon_id, app_id having count(*) > 1) j on j.addon_id=ap.addon_id and j.app_id=ap.app_id;
+---------------------+----------+--------+---------------+---------------+
| created             | addon_id | app_id | min           | max           |
+---------------------+----------+--------+---------------+---------------+
| 2011-05-06 00:38:07 |      166 |      1 | 4000000200100 | 4009900200100 | 
| 2011-05-06 00:38:07 |      166 |      1 | 4000000200100 | 4009900200100 | 
| 2011-03-27 05:54:19 |     4781 |      1 | 1050000200100 | 4009900200100 | 
| 2011-03-27 05:54:19 |     4781 |      1 | 1050000200100 | 4009900200100 | 
| 2011-04-19 16:13:47 |     5243 |      1 | 1050000200100 | 4009900200100 | 
| 2011-04-19 16:13:47 |     5243 |      1 | 1050000200100 | 4009900200100 | 
| 2011-04-19 16:13:46 |    10586 |      1 | 1050000200100 | 4009900200100 | 
| 2011-04-19 16:13:46 |    10586 |      1 | 1050000200100 | 4009900200100 | 
| 2011-04-07 18:01:04 |    11806 |      1 | 1050000200100 | 4009900200100 | 
| 2011-04-07 18:01:04 |    11806 |      1 | 1050000200100 | 4009900200100 | 
| 2011-04-13 05:58:26 |    60265 |      1 | 3000000200100 | 4020000001000 | 
| 2011-04-13 05:58:26 |    60265 |      1 | 3000000200100 | 4020000001000 | 
| 2011-04-13 05:58:26 |    60265 |     18 | 3000000200100 | 3030000004000 | 
| 2011-04-13 05:58:26 |    60265 |     18 | 3000000200100 | 3030000004000 | 
| 2011-04-13 05:58:26 |    60265 |     52 | 1000000101100 | 1000000200000 | 
| 2011-04-13 05:58:26 |    60265 |     52 | 1000000101100 | 1000000200000 | 
| 2011-04-13 05:58:26 |    60265 |     59 | 2000000200100 | 2020000001000 | 
| 2011-04-13 05:58:26 |    60265 |     59 | 2000000200100 | 2020000001000 | 
| 2011-04-06 16:12:36 |    91409 |      1 | 2000000200100 | 4009900200100 | 
| 2011-04-06 16:12:36 |    91409 |      1 | 2000000200100 | 4009900200100 | 
+---------------------+----------+--------+---------------+---------------+
Assignee: nobody → jbalogh
Status: REOPENED → NEW
Target Milestone: --- → 6.0.12
(Assignee)

Comment 5

7 years ago
For some reason the update_appsupport task is getting run twice when these files get reviewed in the editor tools. There's supposed to be a transaction around the function that adds rows to appsupport but that doesn't appear to be working. I'm going to remove the dupes and add a unique constraint so this can't happen anymore.
(Assignee)

Comment 6

7 years ago
https://github.com/jbalogh/zamboni/commit/631d992
Status: NEW → RESOLVED
Last Resolved: 7 years ago7 years ago
Resolution: --- → FIXED

Comment 7

7 years ago
verified fixed @ https://addons.allizom.org/en-US/firefox/extensions/privacy-security/
Status: RESOLVED → VERIFIED

Updated

7 years ago
Duplicate of this bug: 659290
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.